package com.ruoyi.ems.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 计量设备绑定边界对象关系对象 adm_meter_boundary_rel
 * 
 * @author ruoyi
 * @date 2024-12-09
 */
public class MeterBoundaryRel
{
    /** 序号 */
    private Long id;

    /** 设备类型 */
    private Integer objType;

    /** 边界对象 */
    private String boundaryObj;

    /** 计量介质 */
    private Integer meterCls;

    /** 计量设备 */
    private String meterDevice;

    /** 计量设备-名称 */
    private String meterDeviceName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getObjType() {
        return objType;
    }

    public void setObjType(Integer objType) {
        this.objType = objType;
    }

    public String getBoundaryObj() {
        return boundaryObj;
    }

    public void setBoundaryObj(String boundaryObj) {
        this.boundaryObj = boundaryObj;
    }

    public Integer getMeterCls() {
        return meterCls;
    }

    public void setMeterCls(Integer meterCls) {
        this.meterCls = meterCls;
    }

    public String getMeterDevice() {
        return meterDevice;
    }

    public void setMeterDevice(String meterDevice) {
        this.meterDevice = meterDevice;
    }

    public String getMeterDeviceName() {
        return meterDeviceName;
    }

    public void setMeterDeviceName(String meterDeviceName) {
        this.meterDeviceName = meterDeviceName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("objType", getObjType())
            .append("boundaryObj", getBoundaryObj())
            .append("meterCls", getMeterCls())
            .append("meterDevice", getMeterDevice())
            .append("meterDeviceName", getMeterDeviceName())
            .toString();
    }
}
